FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111041632.p0.git.cb61412.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111041632.p0.git.cb61412.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cb61412 OS_GIT_VERSION=4.8.0-202111041632.p0.git.cb61412.assembly.stream-cb61412 SOURCE_DATE_EPOCH=1635440665 SOURCE_GIT_COMMIT=cb614126da5151f1a115152ae1fc3ef70ee93ca1 SOURCE_GIT_TAG=cb614126 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
WORKDIR /ingress-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.8.0.20211104.164221
ENV __doozer=update BUILD_RELEASE=202111041632.p0.git.cb61412.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111041632.p0.git.cb61412.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cb61412 OS_GIT_VERSION=4.8.0-202111041632.p0.git.cb61412.assembly.stream-cb61412 SOURCE_DATE_EPOCH=1635440665 SOURCE_GIT_COMMIT=cb614126da5151f1a115152ae1fc3ef70ee93ca1 SOURCE_GIT_TAG=cb614126 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
COPY --from=builder /ingress-operator/ingress-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/ingress-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift ingress-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of ingress controller components." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-ingress-operator" \
        com.redhat.component="ose-cluster-ingress-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Routing" \
        release="202111041632.p0.git.cb61412.assembly.stream" \
        io.openshift.build.commit.id="cb614126da5151f1a115152ae1fc3ef70ee93ca1" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-ingress-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-ingress-operator/commit/cb614126da5151f1a115152ae1fc3ef70ee93ca1" \
        version="v4.8.0"

